Bug 122697 - Clear Direct Formatting removes Conditional Formatting
Summary: Clear Direct Formatting removes Conditional Formatting
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://help.libreoffice.org/6.3/en-U...
Whiteboard:
Keywords: needsDevAdvice
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2019-01-14 06:26 UTC by russell
Modified: 2023-01-26 03:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Image of spreadsheet (46.35 KB, image/jpeg)
2019-01-14 06:27 UTC, russell
Details
Sample spreadsheet (16.40 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-01-14 06:28 UTC, russell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description russell 2019-01-14 06:26:23 UTC
Description:
Clear Direct Formatting removes Conditional Formatting.

Conditional Format itself is deleted when entire spreadsheet is selected.

Steps to Reproduce:
1. Create a spreadsheet with Conditional Formatting (i.e., change background for odd rows) for the range A2:E9
2. Right-click E5 and select Clear Direct Formatting.
3. The Conditional Format will no longer appy to E5. Checking the conditional format will show the range changed from A2:E9 to A2:D9,E2:E4,E6:E9.

Please see attached sample spreadsheet and image. 



Actual Results:
Conditional Format is removed.

If the entire spreadsheet is selected and Clear Direct Formatting is selected, the Conditional Format itself will be deleted.

Expected Results:
Conditional Format is not removed. The range stays the same.
The Conditional Format itself is NOT deleted.


Reproducible: Always


User Profile Reset: No



Additional Info:
From the Help:

Clear Direct Formatting

Removes direct formatting and formatting by character styles from the selection.

Direct formatting is formatting that you applied without using styles, such as setting bold typeface by clicking the Bold icon.
Comment 1 russell 2019-01-14 06:27:22 UTC
Created attachment 148296 [details]
Image of spreadsheet
Comment 2 russell 2019-01-14 06:28:06 UTC
Created attachment 148297 [details]
Sample spreadsheet
Comment 3 Timur 2019-01-14 12:32:44 UTC
Reproduces in Windows with OO 3.3 and LO 6.3+. 
I'm not sure if this is by design, if Conditional Formatting is applied as Direct Formatting.
Comment 4 Roman Kuznetsov 2019-01-14 19:17:05 UTC
(In reply to Timur from comment #3)
> Reproduces in Windows with OO 3.3 and LO 6.3+. 
> I'm not sure if this is by design, if Conditional Formatting is applied as
> Direct Formatting.

CF should to use cell styles
Comment 5 Timur 2019-01-15 09:33:56 UTC
CF uses styles but cells do not really have those Cell Styles applied. 
This is either a bug either we need to update documentation to explain this important issue. So I'll set to New. But we still need good explanation.

PS Roman, no need to quote previous post. If responding to the whole older post, and not some exact sentence, enough to use just (In reply to Roman Kuznetsov from comment #4).
Comment 6 QA Administrators 2021-01-15 04:24:11 UTC Comment hidden (obsolete)
Comment 7 Roman Kuznetsov 2021-01-15 19:58:00 UTC
still repro in

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 94f6765d6ecc3145fa2d266231124003cf953118
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL
Comment 8 Wolfgang Jäger 2021-01-25 11:43:15 UTC
(This is not a bug in the ordinary sense. The topic is about a convoluted issue.)

I would prefer a way to distinguish between "hardallowed attributes" (also assignable to cell styles) and "hardobliged attributes" only manageable by special means (dialogs).

A Ctrl+M e.g. should then only remove hardallowed attributes, Alt+M only hardobliged ones, and Ctrl+Alt+M both kinds. 

The basically preferrable way to create enhanced cell styles also allowing for the setting of conditional formats is now blocked by the implementation of the "all cells" options not at all based on atributes. The "all cells" also may block any attempt to get a solution based on user/custom code.

(I entered this due to https://ask.libreoffice.org/en/question/289344/clear-direct-formatting-only/.)
Comment 9 QA Administrators 2023-01-26 03:23:36 UTC
Dear russell,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug